BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext Class Reference
Inheritance diagram for BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext:

## Public Member Functions
| ApplicationDBExamContext (DbContextOptions< ApplicationDBExamContext > options)
Task< int > | SaveChangesAsync ()
void | Attatch< T > (T entity)
Public Member Functions inherited from BMA.EHR.Application.Common.Interfaces.IApplicationDBExamContext
DbSet< T > | Set< T > ()

## Properties
DbSet< Candidate > | Candidates`[get, set]`
DbSet< Career > | Careers`[get, set]`
DbSet< Education > | Educations`[get, set]`
DbSet< PeriodExam > | PeriodExams`[get, set]`
DbSet< PositionExam > | PositionExams`[get, set]`
DbSet< Document > | Documents`[get, set]`

## Constructor & Destructor Documentation

## ◆ ApplicationDBExamContext()

BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.ApplicationDBExamContext | ( | DbContextOptions< ApplicationDBExamContext > | options | ) |
| inline

## Member Function Documentation

## ◆ Attatch< T >()

void BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.Attatch< T > | ( | T | entity | ) |
| inline

Implements BMA.EHR.Application.Common.Interfaces.IApplicationDBExamContext.

Type Constraints

  T | : | class |

## ◆ SaveChangesAsync()

Task< int > BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.SaveChangesAsync | ( |  | ) |
| inline

Implements BMA.EHR.Application.Common.Interfaces.IApplicationDBExamContext.

## Property Documentation

## ◆ Candidates

DbSet<Candidate> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.Candidates
| get set

## ◆ Careers

DbSet<Career> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.Careers
| get set

## ◆ Documents

DbSet<Document> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.Documents
| get set

## ◆ Educations

DbSet<Education> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.Educations
| get set

## ◆ PeriodExams

DbSet<PeriodExam> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.PeriodExams
| get set

## ◆ PositionExams

DbSet<PositionExam> BMA.EHR.Infrastructure.Persistence.ApplicationDBExamContext.PositionExams
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Infrastructure/Persistence/ApplicationDBExamContext.cs